import React from 'react';

export const ReviewIcon = ({ ...props }) => (
	<svg width='50px' height='50px' viewBox='0 0 50 50' version='1.1' className='review-icon-components' {...props}>
		<defs>
			<circle id='path-1' cx='24.7524752' cy='24.7524752' r='24.7524752' />
		</defs>
		<g id='Influencers' stroke='none' strokeWidth='1' fill='none' fillRule='evenodd'>
			<g id='Influencer-dashboard' transform='translate(-647.000000, -190.000000)'>
				<g id='Group-4-Copy' transform='translate(627.000000, 165.000000)'>
					<g id='Join-or-reject-Icon-2' transform='translate(20.000000, 25.000000)'>
						<g id='icon-yes-no'>
							<g id='Group' transform='translate(0.247525, 0.334545)'>
								<mask id='mask-2' fill='white'>
									<use xlinkHref='#path-1' />
								</mask>
								<use id='Oval' fill='#EAF7FF' xlinkHref='#path-1' />
								<g id='Group-3' mask='url(#mask-2)'>
									<g transform='translate(7.920792, 9.405941)'>
										<path
											d='M22.690364,28.8087821 C17.9981125,28.8087821 14.1819613,24.9926309 14.1819613,20.3003794 C14.1819613,15.609616 17.9981125,11.7919766 22.690364,11.7919766 C27.3811274,11.7919766 31.1987668,15.609616 31.1987668,20.3003794 C31.1987668,24.9926309 27.3811274,28.8087821 22.690364,28.8087821 Z M15.5720761,7.98598722 L14.2214418,6.65422194 L8.98030873,11.8899506 L7.0441304,9.95501528 L5.67651496,11.2905685 L7.69631424,13.3283452 L8.98041146,14.5950472 L10.2477811,13.3283452 L15.5720761,7.98598722 Z M21.4944035,9.5772064 C20.825926,4.25847814 16.2906285,0.144713214 10.791472,0.144713214 C4.83175827,0.144713214 0,4.97647111 0,10.9361848 C0,16.8958985 4.83175827,21.7276564 10.791472,21.7276564 C11.1954453,21.7276564 11.5936152,21.7044053 11.9874325,21.6608087 C12.65591,26.9780488 17.1912075,31.0921843 22.690364,31.0921843 C28.6500777,31.0921843 33.4818356,26.261916 33.4818356,20.3007142 C33.4818356,14.3410005 28.6500777,9.5092426 22.690364,9.5092426 C22.2863907,9.50890778 21.8882208,9.53360972 21.4944035,9.5772064 Z'
											id='Page-1'
											fill='#626CDD'
										/>
										<polygon
											id='Path'
											fill='#3A7DE3'
											points='27.0765507 17.8156183 24.4238052 20.5252967 27.0765507 23.234975 25.5660607 24.7139596 22.9436113 22.0357866 20.3223711 24.7139596 18.8118812 23.234975 21.4646267 20.5252967 18.8118812 17.8156183 20.3223711 16.3366337 22.9436113 19.0135973 25.5660607 16.3366337'
										/>
									</g>
								</g>
							</g>
						</g>
					</g>
				</g>
			</g>
		</g>
	</svg>
);
